Package org.apache.sysds.runtime.instructions.spark

## Class CompressionSPInstruction.SizeFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.CompressionSPInstruction.SizeFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,​Long>`

Enclosing class:
  CompressionSPInstruction

    public static class CompressionSPInstruction.SizeFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,​Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SizeFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `call​(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SizeFunction

    public SizeFunction()

### Method Detail

#### call

    public Long call​(MatrixBlock arg0)
              throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,​Long>`
Throws:
  `Exception`